Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1065868 - Fails to parse DSL variable definition with single dot regex
Summary: Fails to parse DSL variable definition with single dot regex
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss BRMS Platform 6
Classification: Retired
Component: BRE
Version: 6.0.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ER2
: 6.0.1
Assignee: Edson Tirelli
QA Contact: Marek Winkler
URL:
Whiteboard:
Depends On:
Blocks: 1065869
TreeView+ depends on / blocked
 
Reported: 2014-02-17 07:30 UTC by Toshiya Kobayashi
Modified: 2018-12-04 17:30 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1065869 (view as bug list)
Environment:
Last Closed: 2014-08-06 19:57:32 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker DROOLS-430 Major Closed Fails to parse DSL variable definition with single dot regex 2015-04-23 13:02:50 UTC

Description Toshiya Kobayashi 2014-02-17 07:30:51 UTC
Description of problem:

Platform BZ for https://issues.jboss.org/browse/DROOLS-430

Steps to Reproduce:
1. See test case in https://github.com/droolsjbpm/drools/pull/313

Actual results:

Fails with parse error.

Expected results:

The variable definition matches any one character.

Comment 2 JBoss JIRA Server 2014-02-20 21:49:03 UTC
Edson Tirelli <ed.tirelli@gmail.com> updated the status of jira DROOLS-430 to Resolved

Comment 3 JBoss JIRA Server 2014-02-20 21:49:12 UTC
Edson Tirelli <ed.tirelli@gmail.com> updated the status of jira DROOLS-430 to Closed

Comment 4 Marek Winkler 2014-03-17 13:47:19 UTC
Verified that the fix is present in BRMS 6.0.1 ER2 and the relevant tests pass.


Note You need to log in before you can comment on or make changes to this bug.